%global fontname oflb-coval
%global fontconf 63-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.000
Release:        4.20150122%{?dist}
Summary:        Derivation of other free of charge fonts
License:        OFL

URL:            http://openfontlibrary.org/en/font/bretan
Source0:        http://openfontlibrary.org/assets/downloads/bretan/79f39f3224dd7db0aae8fca528dac1a4/bretan.zip
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
Coval is a free-to-use non-commercial font
The font is a derivation of other free of charge fonts
Coval is released under the SIL Open Font License (OFL)
(http://scripts.sil.org/OFL)
Language Support: Basic Cyrillic, Basic Latin, Euro.

%prep
%setup -q -c %{name}-%{version}
chmod 0644 *.txt
for txt in *.txt ; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.otf
%doc *.txt
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Sun Feb 08 2015 Carlos Morel-Riquelme <empateinfinito@fedoraproject.org> - 1.000-4.20150122
- Fixed as per review comments

 
* Wed Feb 04 2015 Carlos Morel-Riquelme <empateinfinito@fedoraproject.org> - 1.000-3.20150122
- Update the priority LGC font
- Fix the metainfo.xml

* Wed Feb 04 2015 Carlos Morel-Riquelme <empateinfinito@fedoraproject.org> - 1.000-2.20150122
- Update the spec file
- Fix the metainfo.xml

* Wed Feb 04 2015 Carlos Morel-Riquelme <empateinfinito@fedoraproject.org> - 1.000-1.20150122
- Fix the spec file
- Fix the fontconfig.conf

* Thu Jan 29 2015 Carlos Morel-Riquelme <empateinfinito@gmail.com> - 0.1-1
- Initial version
- Add metainfo file to show this font in gnome-software
